Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence
Enum AutoClearType

    java.lang.Object
      java.lang.Enum<AutoClearType>
          org.apache.openjpa.persistence.AutoClearType

All Implemented Interfaces:
  Serializable, Comparable<AutoClearType>

    public enum AutoClearType

extends Enum<AutoClearType>

The possible settings for the auto-clear behavior of an `OpenJPAEntityManager`.

Since:
  1.0.0

Enum Constant Summary
`ALL`
`DATASTORE`

Method Summary
`(package private) static AutoClearType` | `fromKernelConstant(int kernelConstant)`
`(package private) int` | `toKernelConstant()`
`static AutoClearType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AutoClearType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATASTORE

    public static final AutoClearType DATASTORE

### ALL

    public static final AutoClearType ALL

Method Detail

### values

    public static AutoClearType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AutoClearType c : AutoClearType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AutoClearType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toKernelConstant

    int toKernelConstant()

### fromKernelConstant

    static AutoClearType fromKernelConstant(int kernelConstant)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.